Jockey needs to unload b43/ssb when activating wl

Bug #393689 reported by Mario Limonciello on 2009-06-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Undecided
Martin Pitt

Bug Description

Using Jockey version 0.5.2-0ubuntu1, when activating the 'wl' driver, the b43 driver needs to be unloaded first. The best thing to do would be to remove b43/ssb before installing the package and then loading 'wl' afterward.

Changed in jockey (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

I can try this, although I don't generally like rmmod, since it just breaks too often. I'd rather just set the "needs reboot" flag, doesn't it already do that?

Changed in jockey (Ubuntu):
status: New → In Progress
Martin Pitt (pitti) wrote :

E. g. removing ssb wouldn't work at all if you have a b44 ethernet card.

Well the hope here was that people would be able to activate this on the
live CD. rmmod'ing b43/ssb is more stable these days than it used to be.

I think rmmod'ing b43/b44/ssb is all sane if it's done after
bcmwl-kernel-source's postinst finished. During that postinst, the rule
gets written out to the modprobe.d file to handle the b44 case and reload it
as necessary provided it detected it during the postinst.

On Tue, Jun 30, 2009 at 16:46, Martin Pitt <email address hidden> wrote:

> I can try this, although I don't generally like rmmod, since it just
> breaks too often. I'd rather just set the "needs reboot" flag, doesn't
> it already do that?
>
> ** Changed in: jockey (Ubuntu)
> Status: New => In Progress
>
> --
> Jockey needs to unload b43/ssb when activating wl
> https://bugs.launchpad.net/bugs/393689
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Mario Limonciello
<email address hidden>

Martin Pitt (pitti) wrote :

I added a tentative fix to bzr which rmmods the "old" modules before installing wl and modprobing wl. Can you please test this, and reopen if it still fails? Thanks!

Changed in jockey (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.5.3-0ubuntu1

---------------
jockey (0.5.3-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Add a text frontend, 'jockey-text'. Although the GTK and KDE frontends
      can be launched and scripted command line, they are dependent upon
      DISPLAY being set. This text frontend has the ability to run in a true
      text only environment. (By Mario Limonciello) (LP: #394688)
    - Ported to polkit-1.
  * debian/control: Update policykit dependencies to policykit-1. Drop
    policykit-kde, since it does not exist so far.
  * Merge bug fix from trunk: Move X-KDE-autostart-phase: field from menu to
    autostart .desktop.
  * kde/jockey-kde, kde/jockey-kde.desktop.in: Reintroduce code to run
    frontend as root, since there is no KDE frontend for polkit-1 yet.
  * data/handlers/broadcom_wl.py: rmmod b43 and friends before enabling wl, so
    that it will work on the fly. (LP: #393689)

 -- Martin Pitt <email address hidden> Tue, 14 Jul 2009 17:27:14 +0200

Changed in jockey (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers